import type { IDataFetcherResponse, IApiPayload, IApiSuccess } from '../../../../services/api/api.models';
import type { IGridView } from "./GridViewsController.models";
export declare const gridViewControllerApi: {
    /** Get list of grid views for a specific grid */
    get(gridIdentifier: string | number): Promise<IDataFetcherResponse<IGridView>>;
    /** Delete a grid view */
    delete(id: number): Promise<IApiSuccess>;
    /** Update a grid view */
    save(query: Partial<IGridView>): Promise<IApiPayload<IGridView>>;
    /** Unpublish a grid view (make it private) */
    unpublish(id: number): Promise<IApiSuccess>;
    /** Publish a grid view */
    publish(id: number): Promise<IApiSuccess>;
    /** Rename a grid view */
    rename(id: number, name: string): Promise<IApiSuccess>;
    /** Create a new grid view for certain grid */
    create(gridIdentifier: string, gridView: Partial<IGridView>): Promise<IApiPayload<IGridView>>;
};
